%INCLUDE "C:\Work\proc_lca\BootstrapMacros\LcaBootstrap.sas";
    
DATA Delinquency; 
INPUT  Rowdy Vandal Shoplift Steal Fight count;
DATALINES;
1    1    1    1    1    10
1    1    1    1    2    10
1    1    1    2    1    10
1    1    1    2    2    10
1    1    2    1    1    10
1    1    2    1    2    10
1    1    2    2    1    10
1    1    2    2    2    10
1    2    1    1    1    10
1    2    1    1    2    10
1    2    1    2    1    10
1    2    1    2    2    10
1    2    2    1    1    10
1    2    2    1    2    10
1    2    2    2    1    10
1    2    2    2    2    10
2    1    1    1    1    10
2    1    1    1    2    10
2    1    1    2    1    10
2    1    1    2    2    10
2    1    2    1    2    10
2    1    2    2    1    10
2    1    2    2    2    10
2    2    1    1    1    10
2    2    1    1    2    10
2    2    1    2    1    10
2    2    1    2    2    10
2    2    2    1    1    10
2    2    2    1    2    10
2    2    2    2    1    10
2    2    2    2    2    10
;
RUN;

PROC LCA DATA=delinquency OUTEST=est2 OUTPARAM=par2;
    NCLASS 2;
    ITEMS Rowdy Vandal Shoplift Steal Fight ;
    FREQ Count;
    CATEGORIES 2 2 2 2 2; 
    SEED 1000;
    NSTARTS 10;
RUN;
PROC LCA DATA=delinquency OUTEST=est3 OUTPARAM=par3;
    NCLASS 3;
    ITEMS Rowdy Vandal Shoplift Steal Fight ;
    FREQ Count;
    CATEGORIES 2 2 2 2 2; 
    SEED 1000;
    NSTARTS 10;
RUN;

%LcaBootstrap(null_outest=est2,
                alt_outest=est3,
                null_outparam=par2,  
                alt_outparam=par3, 
                n = 2000,
                num_bootstrap=99,
                num_starts_for_null=10,
                num_starts_for_alt=10,
                cores=1,
                initial_seed_for_extra_starts=1000);
